org.apache.hadoop.mapreduce.task.reduce

## Class InMemoryWriter<K,V>

- java.lang.Object
- - org.apache.hadoop.mapred.IFile.Writer<K,V>
  - - org.apache.hadoop.mapreduce.task.reduce.InMemoryWriter<K,V>

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class InMemoryWriter<K,V>
      extends IFile.Writer<K,V>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryWriter(org.apache.hadoop.io.BoundedByteArrayOutputStream arrayStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(org.apache.hadoop.io.DataInputBuffer key, org.apache.hadoop.io.DataInputBuffer value)`
    `void` | `append(K key, V value)`
    `void` | `close()`

    - ### Methods inherited from class org.apache.hadoop.mapred.IFile.Writer

      `getCompressedLength, getOutputStream, getRawLength, updateCountersForExternalAppend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryWriter

          public InMemoryWriter(org.apache.hadoop.io.BoundedByteArrayOutputStream arrayStream)

  - ### Method Detail

    - #### append

          public void append(K key,
                             V value)
                      throws IOException

      Overrides:
        `append` in class `IFile.Writer<K,V>`
      Throws:
        `IOException`

    - #### append

          public void append(org.apache.hadoop.io.DataInputBuffer key,
                             org.apache.hadoop.io.DataInputBuffer value)
                      throws IOException

      Overrides:
        `append` in class `IFile.Writer<K,V>`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Overrides:
        `close` in class `IFile.Writer<K,V>`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.